import path from 'path';

export default function({ settings, ansi : a }) {
	
	console.log(`${settings.program_name}, ${settings.version}
${a.locol}By Starbeamrainbowlabs${a.reset}

${a.hicol}This program ${settings.description}.${a.reset}

${a.fblue}${a.hicol}Usage:${a.reset}
    node --experimental-modules ${path.relative(process.cwd(), process.argv[1])} {subcommand} {options}

${a.fblue}${a.hicol}Subcommands:${a.reset}
    ${a.fyellow}ttn-app-server${a.reset}    Starts the thing network application server
    ${a.fyellow}decode-test${a.reset}       Decodes a base64 encoded message
    ${a.fyellow}process-data${a.reset}      Consolidates collected data from the IoT device and the TTN app server
    ${a.fyellow}train-ai${a.reset}          Trains the AI on the consolidated data
    ${a.fyellow}serve-map${a.reset}         Serves the final output map using the trained AI

${a.fblue}${a.hicol}Options:${a.reset}
    ${a.fyellow}-h	--help		${a.reset}Show this message
    ${a.fyellow}-v	--version	${a.reset}Show the version of this program

${a.fblue}${a.hicol}Environment Variables:${a.reset}
    (none yet)
`);
};
